> For the complete documentation index, see [llms.txt](https://docs.openg2p.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openg2p.org/resources/_archive/guides/documentation-guides/documentation-guidelines/embed-a-miro-diagram.md).

# Embed a Miro diagram

## Embed Miro board in Gitbook

To directly embed link of Miro board, follow the procedure given below. Note that this ensures that the diagram is up-to-date whenever a change is made. *The Downside is it affects usability, esp while scrolling through the pages, in which case you may want to export the diagrams and directly embed them in Gitbook (section below)*

* Make sure the diagram on Miro has permissions for anyone to view the boards (this is available under Share)
* Set a "Start view" for the diagram under Board --> Start view. Make sure view box is just about the size of the digram.
* Copy the board URL/link
* In Gitbook, insert it using "Embed URL".
* To skip the "See the board" button and view the diagram directly add the parameter `&embedAutoplay=true` to the end of the embed URL. Example:

```
https://miro.com/app/board/uXjVNGpmGPw=/?share_link_id=254439439095
&embedAutoplay=true
```

## Export a board and insert in Gitbook

* Miro --> Board --> Export --> Save as image
* Stretch/adjust the frame to cover the diagram completely.
* Select "Medium" resolution for export
* Export the image to your machine
* Rename the image with lower case and hyphens only. Eg. `g2p-bridge-tech-architecture.jpg`.
* Insert the image in the required location in Gitbook.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openg2p.org/resources/_archive/guides/documentation-guides/documentation-guidelines/embed-a-miro-diagram.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
